# Generated from pdfmult-1.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pdfmult

Name: rubygem-%{gem_name}
Version: 1.3.2
Release: 1%{?dist}
Summary: pdfmult - puts multiple copies of a PDF page on one page
License: GPL-3
URL: https://github.com/stomar/pdfmult/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
pdfmult is a command line tool that rearranges multiple copies of a PDF page
(shrunken) on one page. It is a wrapper for pdflatex with the pdfpages
package.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/pdfmult
%{gem_instdir}/bin
%{gem_instdir}/example1.fig
%{gem_instdir}/example1.png
%{gem_instdir}/example2.fig
%{gem_instdir}/example2.png
%{gem_libdir}
%{gem_instdir}/man
%{gem_instdir}/pdfmult.h2m
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pdfmult.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.3.2-1
- Initial package
